io.vertx.rxjava.sqlclient

## Class Pool

- java.lang.Object
- - io.vertx.rxjava.sqlclient.SqlClient
  - - io.vertx.rxjava.sqlclient.Pool

- Direct Known Subclasses:
    MySQLPool, PgPool

      public class Pool
      extends SqlClient

  A pool of SQL connections.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Pool>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pool(Object delegate)`
    `Pool(Pool delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin(Handler<AsyncResult<Transaction>> handler)` Borrow a connection from the pool and begin a transaction, the underlying connection will be returned to the pool when the transaction ends.
    `void` | `close()` Close the pool and release the associated resources.
    `boolean` | `equals(Object o)`
    `void` | `getConnection(Handler<AsyncResult<SqlConnection>> handler)` Get a connection from the pool.
    `Pool` | `getDelegate()`
    `int` | `hashCode()`
    `static Pool` | `newInstance(Pool arg)`
    `PreparedQuery<RowSet<Row>>` | `preparedQuery(String sql)` A connection is borrowed from the connection pool when the query is executed and then immediately returned to the pool after it completes.
    `Query<RowSet<Row>>` | `query(String sql)` A connection is borrowed from the connection pool when the query is executed and then immediately returned to the pool after it completes.
    `Single<Transaction>` | `rxBegin()` Borrow a connection from the pool and begin a transaction, the underlying connection will be returned to the pool when the transaction ends.
    `Single<SqlConnection>` | `rxGetConnection()` Get a connection from the pool.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.sqlclient.SqlClient

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Pool> __TYPE_ARG

  - ### Constructor Detail

    - #### Pool

          public Pool(Pool delegate)

    - #### Pool

          public Pool(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SqlClient`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `SqlClient`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SqlClient`

    - #### getDelegate

          public Pool getDelegate()

      Overrides:
        `getDelegate` in class `SqlClient`

    - #### getConnection

          public void getConnection(Handler<AsyncResult<SqlConnection>> handler)

      Get a connection from the pool.
      Parameters:
        `handler` - the handler that will get the connection result

    - #### rxGetConnection

          public Single<SqlConnection> rxGetConnection()

      Get a connection from the pool.
      Returns:

    - #### query

          public Query<RowSet<Row>> query(String sql)

      A connection is borrowed from the connection pool when the query is executed and then immediately returned to the pool after it completes.
      Overrides:
        `query` in class `SqlClient`
      Parameters:
        `sql` -
      Returns:

    - #### preparedQuery

          public PreparedQuery<RowSet<Row>> preparedQuery(String sql)

      A connection is borrowed from the connection pool when the query is executed and then immediately returned to the pool after it completes.
      Overrides:
        `preparedQuery` in class `SqlClient`
      Parameters:
        `sql` -
      Returns:

    - #### begin

          public void begin(Handler<AsyncResult<Transaction>> handler)

      Borrow a connection from the pool and begin a transaction, the underlying connection will be returned to the pool when the transaction ends.
      Parameters:
        `handler` -

    - #### rxBegin

          public Single<Transaction> rxBegin()

      Borrow a connection from the pool and begin a transaction, the underlying connection will be returned to the pool when the transaction ends.
      Returns:

    - #### close

          public void close()

      Close the pool and release the associated resources.
      Overrides:
        `close` in class `SqlClient`

    - #### newInstance

          public static Pool newInstance(Pool arg)

Copyright © 2020 Eclipse. All rights reserved.